import { EventEmitter } from "@angular/core";
import { Observable } from "rxjs";
export declare class MenuItemComponent {
    private _onClick;
    readonly onClick: Observable<any>;
    private _onMouseEnter;
    readonly onMouseEnter: Observable<any>;
    submenu: any;
    _divide: boolean;
    divide: boolean;
    disabled: boolean;
    readonly onItemClick: EventEmitter<any>;
    readonly onItemMouseEnter: EventEmitter<any>;
    readonly onNeedClose: EventEmitter<any>;
    button: any;
    _parentMenu: any;
    parentMenu: any;
    click(e: any): void;
    mouseEnter(e: any): void;
    hasSubmenu(): boolean;
    closeSubMenu(): void;
}
